Imagick::cycleColormapImage
Imagick::deconstructImages
The Imagick class
PHP Manual

# Imagick::decipherImage

(No version information available, might only be in SVN)

Imagick::decipherImage — Deciphers an image

### Description

bool Imagick::decipherImage ( string `$passphrase` )

Deciphers image that has been enciphered before. The image must be enciphered using Imagick::encipherImage(). This method is available if Imagick has been compiled against ImageMagick version 6.3.9 or newer.

### Parameters

`passphrase`

  The passphrase

### Return Values

Returns `TRUE` on success.

### See Also

- Imagick::encipherImage() - Enciphers an image

Imagick::cycleColormapImage
Imagick::deconstructImages
The Imagick class
PHP Manual